Compute Management/Host Related Interfaces
PUTHost Related InterfacesSince 0.6SynchronousAuth Required
Update Host
Update Host
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredResource UUID, uniquely identifies the resource
Body Fields
updatehostObjectRequiredupdatehost request body object.
nameStringResource name
descriptionStringResource description
managementIpString管理IP。
systemTagsListSystem tag
userTagsListUser tag
Responses
Endpoint
PUT/zstack/v1/hosts/{uuid}/actions
/zstack/v1/hosts/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/hosts/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatehost":{"name":"<name>","description":"<description>","managementIp":"<managementIp>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "zoneUuid": "82c01885efdc3f789fa9130db6a00532", "name": "example", "uuid": "b3b5a4d4c6973932a29d4bee698fe9ca", "clusterUuid": "c416a848e4e538f1b321169001869bbd", "description": "example", "managementIp": "192.168.0.1", "hypervisorType": "KVM", "state": "Enabled", "status": "Connected", "totalCpuCapacity": 4, "availableCpuCapacity": 2, "totalMemoryCapacity": 4, "availableMemoryCapacity": 4 } }Change History
This API has no change history records yet.
